#include<bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(false); cin.tie(0);
    int n, l;
    bool moze = true;
    cin >> n >> l;
    vector<int> v(n);
    
    for(int i = 0; i < n; ++i) cin >> v[i];
    
    for(int i = 0; i < n; ++i){
        if(v[i] <= l){
            cout << i + 1 << endl;
            moze = false;
            break;
        }
    }
    if(moze) cout << -1 << endl;
    
    return 0;
}